Package twisted :: Package internet :: Module base :: Class BaseConnector |
[frames | no frames]

## Class BaseConnector

    Ephemeral --+
                |
               BaseConnector

Known Subclasses:
  `Connector`, `Connector`, `Connector`

Basic implementation of connector.

State can be: "connecting", "connected", "disconnected"

Method Summary
| `__init__(self, factory, timeout, reactor)`
| `buildProtocol(self, addr)`
| `cancelTimeout(self)`
| ``connect`(self)` Start connection to remote server.
| `connectionFailed(self, reason)`
| `connectionLost(self, reason)`
| ``disconnect`(self)` Disconnect whatever our state is.
| ``stopConnecting`(self)` Stop attempting to connect.
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.ICo...`
`int` | `factoryStarted` = 0
`NoneType` | `timeoutID` = None

Method Details

### connect(self) Start connection to remote server.

### disconnect(self) Disconnect whatever our state is.

### stopConnecting(self) Stop attempting to connect.

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class twisted.internet.interfaces.IConnector at 0x8170644>,)

    ### factoryStarted Type: `int` Value:
        0

    ### timeoutID Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:54:44 2003 | http://epydoc.sf.net